function onBegin()

	disableMovement()
	setFlag("woxens_Lucidity_towerlightup",true)
	say("woxens_Lucidity_towerviewA")

end

function onEnd()
	
	enableMovement()
	setFlag("woxens_Lucidity_powerwallstart",true)

end